package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    List<Student> studentList;

    public ZipCodeWilmington(){
        this.studentList = new ArrayList<>();
    }

    public void enroll(Student student) {
        studentList.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return studentList.contains(student);
    }

    public void lecture(double numberOfHours) {
        studentList.forEach((student) -> student.learn(numberOfHours));
    }

    public Map<Student, Double> getStudyMap() {
        Map<Student, Double> studentMap = new TreeMap<>();
        studentList.forEach((student) -> studentMap.put(student, student.getTotalStudyTime()));
        return studentMap;
    }
}
