package rocks.zipcode.io.quiz4.objectorientation;

import java.util.Objects;

/**
 * @author leon on 11/12/2018.
 */
public class Student implements Comparable<Student> {
    Integer id;
    Double totalHoursLearnt;

    public Student() {
        this(0);
    }

    public Student(Integer id) {
        this.id = id;
        this.totalHoursLearnt = 0.0;
    }

    public void learn(Double amountOfHours) {
        totalHoursLearnt += amountOfHours;
    }

    public Double getTotalStudyTime() {
        return totalHoursLearnt;
    }

    @Override
    public int compareTo(Student o) {
        return this.id.compareTo(o.id);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Student student = (Student) o;
        return Objects.equals(id, student.id) &&
                Objects.equals(totalHoursLearnt, student.totalHoursLearnt);
    }
}
